%define aurox_ver 9.3
%define rel 2


%define	name	ntfsprogs
%define	ver	1.8.4

Summary: NTFS filesystem libraries and utilities
Name: %{name}
Version: %{ver}
Release: %{aurox_ver}.aur.%{rel}
Source: http://prdownloads.sf.net/linux-ntfs/ntfsprogs-%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Packager: Anton Altaparmakov <aia21@cantab.net>
License: GPL
Group: System Environment/Base

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities such as mkntfs, ntfscat, ntfsls,
ntfsresize, and ntfsundelete (for a full list of included utilities see man
8 ntfsprogs after installation).


%package gnomevfs
Summary: NTFS GNOME virtual filesystem module
Group: System Environment/Base
Requires: ntfsprogs = 0:%{version}-%{release}
BuildRequires: glib2-devel
Requires: glib2
BuildRequires: gnome-vfs2-devel
Requires: gnome-vfs2


%description gnomevfs
This package contains the NTFS GNOME virtual filesystem (VFS) module which
allows GNOME VFS clients to seamlessly utilize the NTFS library.


%package devel
Summary: files required to compile software that uses libntfs
Group: Development/System
Requires: ntfsprogs = 0:%{version}-%{release}

%description devel
This package includes the header files and libraries needed to link software
with libntfs.


%prep
%setup -q

%build
if [ -n "$LINGUAS" ]; then unset LINGUAS; fi
%configure --enable-gnome-vfs
make


%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO.include TODO.libntfs TODO.ntfsprogs doc/CodingStyle doc/attribute_definitions doc/attributes.txt doc/compression.txt doc/tunable_settings doc/template.c doc/template.h doc/system_files.txt doc/system_security_descriptors.txt
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/mkntfs.8*
%{_mandir}/man8/ntfs*.8*
%{_libdir}/libntfs.*so.*

%files gnomevfs
%defattr(-,root,root)
%{_mandir}/man8/libntfs-gnomevfs.8*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*so*
%config %{_sysconfdir}/gnome-vfs-2.0/modules/libntfs.conf

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libntfs.*a*
%{_libdir}/libntfs.*so
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*a*

%changelog
* Thu Jan 29 2004 Aurox Team <aurox@aurox.org> 0:1.8.4-9.3.aur.2
- fix required version-release of the main package for subpackages
- fix paths
- 

* Mon Jan 19 2004 Anton Altaparmakov <aia21@cantab.net>
- Add %config to tell rpm that libntfs.conf is a config file.

* Thu Nov 6 2003 Anton Altaparmakov <aia21@cantab.net>
- update description (it was getting too long)
- merge libntfs-gnomevfs

* Fri Oct 19 2003 Richard Russon <ntfs@flatcap.org>
- added the new utility ntfscat

* Tue Sep 30 2003 Anton Altaparmakov <aia21@cantab.net>
- added the new utilities, ntfsclone, ntfscluster, ntfsinfo, ntfsls.

* Sat Jan 18 2003 Anton Altaparmakov <aia21@cantab.net>
- renamed to ntfsprogs.spec.in
- change source tar ball name to ntfsprogs

* Tue Dec 10 2002 Anton Altaparmakov <aia21@cantab.net>
- added ntfsresize

* Wed Jul 18 2002 Richard Russon <ntfs@flatcap.org>
- added ntfsundelete
- change TODO names

* Wed Jul 3 2002 Anton Altaparmakov <aia21@cantab.net>
- update my email address

* Mon Jun 3 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %doc with new TODO files

* Tue Apr 12 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text for ntfslabel

* Tue Mar 12 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Sat Jan 26 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text
- make dependencies pick the right version automatically

* Thu Jan 10 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- add dependency on linux-ntfs to linux-ntfs-devel
- update %description text

* Fri Nov 09 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text
- (re)enable installation of shared libraries

* Wed Aug 22 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Thu Aug 2 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Wed Jul 25 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- include sbin install path (mkntfs now is in sbin)

* Tue Jul 24 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Mon Jun 11 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- remove duplicate %configure options
- remove shared library installation as shared libraries are disabled by
default

* Sun Jun 10 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- add man pages stuff
- update info text
- add new doc/ stuff
- modify installation to do install-strip instead of install followed by manual
stripping
- update download URL to be the fast sourceforge http download server

* Fri Feb 2 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- started changelog

